Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

Delete Work Order Bundle DELETEBundle Work Order POSTUnbundle Work Order POSTValidate Work Order Bundle POST

Resources

FinancialsBundles

Validate Work Order Bundle


Validate that a list of work orders can be bundled together. Returns validation diagnostics without making changes.

POST
/api/rest/v2/workorders/bundle/validate

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Request Body

application/json

Validate bundle request body

cancel_message?string

Cancel message

cancel_reason?string

Cancel reason

ids*array<>

IDs

curl -X POST "https://api-sandbox.fndev.net/api/rest/v2/workorders/bundle/validate" \  -H "Content-Type: application/json" \  -d '{    "ids": [      1001,      1002,      1003    ]  }'
{
  "status": "active",
  "info": [],
  "errors": [],
  "warnings": [],
  "params": {
    "cancel_message": "string_value",
    "cancel_reason": "string_value"
  }
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}

Response Body

application/json

application/json

application/json

Last updated on

Unbundle Work Order POST

Previous Page

List Work Order Bonuses GET

Next Page

curl -X POST "https://api-sandbox.fndev.net/api/rest/v2/workorders/bundle/validate" \
  -H "Content-Type: application/json" \
  -d '{
    "ids": [
      1001,
      1002,
      1003
    ]
  }'